------------------------------------------------------------------------------------
--Name:  	juqing7
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-04-02
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(63, 63)
CppScriptMgr:SetViewScale(500)
local Player_1 = CppScriptMgr:AddSimplePlayer(1050217, 64, 64, "", 0, 0)
Player_1:SetDir(7)
Player_1:AddEffect("attach_continuance05", 33)
Player_1:SetArmor(192310, 0, 1)
Player_1:SetHair(106, 1)
local Effect_1 = CppScriptMgr:AddEffect("3542", 64, 64, 33, 1, 1, 1)
local monster_0 = CppScriptMgr:AddPlayer(219, 60, 60, "", 0, 0)
monster_0:SetDir(7)
local monster_1 = CppScriptMgr:AddPlayer(219, 68, 68, "", 0, 0)
monster_1:SetDir(3)
local monster_2 = CppScriptMgr:AddPlayer(219, 60, 64, "", 0, 0)
monster_2:SetDir(6)
local monster_3 = CppScriptMgr:AddPlayer(219, 64, 60, "", 0, 0)
monster_3:SetDir(0)
local monster_4 = CppScriptMgr:AddPlayer(219, 62, 66, "", 0, 0)
monster_4:SetDir(5)
local monster_5 = CppScriptMgr:AddPlayer(219, 66, 62, "", 0, 0)
monster_5:SetDir(1)
local monster_6 = CppScriptMgr:AddPlayer(219, 64, 68, "", 0, 0)
monster_6:SetDir(4)
local monster_7 = CppScriptMgr:AddPlayer(219, 68, 64, "", 0, 0)
monster_7:SetDir(2)
CppScriptMgr:WaitMilSec(490)
Player_1:SetAction(180)
Player_1:Say("Leave! Hurry!", 1000)
CppScriptMgr:WaitMilSec(500)
monster_6:Say("How dare you treat Master like this!", 1500)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("The monster is coming!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("I`m gonna lose control!", 1000)
Player_1:SetAction(190)
CppScriptMgr:WaitMilSec(490)
monster_7:Say("Eat her!", 1500)
monster_1:Say("Eat her!", 1500)
monster_2:Say("Eat her!", 1500)
monster_3:Say("Eat her!", 1500)
monster_4:Say("Eat her!", 1500)
monster_5:Say("Eat her!", 1500)
monster_6:Say("Eat her!", 1500)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(80)
monster_1:SetAction(401)
monster_2:SetAction(401)
monster_3:SetAction(401)
monster_4:SetAction(401)
monster_5:SetAction(401)
monster_6:SetAction(401)
monster_7:SetAction(401)
CppScriptMgr:WaitMilSec(2410)